---
title: "alertmanager-ntfy"

description: "Receiver for alertmanager to forward to ntfy.sh"

---

# alertmanager-ntfy

![Version: 0.1.6](https://img.shields.io/badge/Version-0.1.6-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.4.0](https://img.shields.io/badge/AppVersion-0.4.0-informational?style=flat-square)

Receiver for alertmanager to forward to ntfy.sh

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Usage

Helm must be installed and setup to your kubernetes cluster to use the charts.
Refer to Helm's [documentation](https://helm.sh/docs) to get started.
Once Helm has been set up correctly, fetch the charts as follows:

```bash
helm pull oci://codeberg.org/wrenix/helm-charts/alertmanager-ntfy
```

You can install a chart release using the following command:

```bash
helm install alertmanager-ntfy-release oci://codeberg.org/wrenix/helm-charts/alertmanager-ntfy --values values.yaml
```

To uninstall a chart release use `helm`'s delete command:

```bash
helm uninstall alertmanager-ntfy-release
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| fullnameOverride | string | `""` |  |
| global.image.pullPolicy | string | `nil` | if set it will overwrite all pullPolicy |
| global.image.registry | string | `nil` | if set it will overwrite all registry entries |
| image.pullPolicy | string | `"IfNotPresent"` | This sets the pull policy for images. (could be overwritten by global.image.pullPolicy) |
| image.registry | string | `"codeberg.org"` | image registry (could be overwritten by global.image.registry) |
| image.repository | string | `"xenrox/ntfy-alertmanager"` | image repository |
| image.tag | string | `""` | image tag - Overrides the image tag whose default is the chart appVersion. |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| ntfyAlertmanager.labels.entries[0].label | string | `"severity"` |  |
| ntfyAlertmanager.labels.entries[0].priority | int | `5` |  |
| ntfyAlertmanager.labels.entries[0].tags[0] | string | `"rotating_light"` |  |
| ntfyAlertmanager.labels.entries[0].value | string | `"critical"` |  |
| ntfyAlertmanager.labels.entries[1].label | string | `"severity"` |  |
| ntfyAlertmanager.labels.entries[1].priority | int | `1` |  |
| ntfyAlertmanager.labels.entries[1].value | string | `"info"` |  |
| ntfyAlertmanager.labels.entries[2].label | string | `"instance"` |  |
| ntfyAlertmanager.labels.entries[2].tags[0] | string | `"computer"` |  |
| ntfyAlertmanager.labels.entries[2].tags[1] | string | `"example"` |  |
| ntfyAlertmanager.labels.entries[2].value | string | `"example.com"` |  |
| ntfyAlertmanager.labels.order[0] | string | `"severity"` |  |
| ntfyAlertmanager.labels.order[1] | string | `"instance"` |  |
| ntfyAlertmanager.logLevel | string | `"info"` |  |
| ntfyAlertmanager.ntfy.topic | string | `"https://ntfy.sh/alertmanager-alerts"` |  |
| ntfyAlertmanager.port | int | `80` |  |
| ntfyAlertmanager.resolved.tags[0] | string | `"resolved"` |  |
| ntfyAlertmanager.resolved.tags[1] | string | `"partying_face"` |  |
| podAnnotations | object | `{}` |  |
| podLabels | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` | replicas |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
