---
title: "monitoring"

description: "Deploy helper for probes and scrapeconfig of prometheus-operator"

---

# monitoring

![Version: 0.2.1](https://img.shields.io/badge/Version-0.2.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Deploy helper for probes and scrapeconfig of prometheus-operator

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Usage

Helm must be installed and setup to your kubernetes cluster to use the charts.
Refer to Helm's [documentation](https://helm.sh/docs) to get started.
Once Helm has been set up correctly, fetch the charts as follows:

```bash
helm pull oci://codeberg.org/wrenix/helm-charts/monitoring
```

You can install a chart release using the following command:

```bash
helm install monitoring-release oci://codeberg.org/wrenix/helm-charts/monitoring --values values.yaml
```

To uninstall a chart release use `helm`'s delete command:

```bash
helm uninstall monitoring-release
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| prober | list | `[{"ipv4":true,"ipv6":true,"name":"local","spec":{"path":"/probe","url":"prometheus-blackbox-exporter:9115"}}]` | prober for each the following probes are created (multiside probes) |
| prober[0] | object | `{"ipv4":true,"ipv6":true,"name":"local","spec":{"path":"/probe","url":"prometheus-blackbox-exporter:9115"}}` | name of prober |
| prober[0].ipv4 | bool | `true` | use this prober for ipv4 probes (default: true) |
| prober[0].ipv6 | bool | `true` | use this prober for ipv6 probes (default: true) |
| prober[0].spec | object | `{"path":"/probe","url":"prometheus-blackbox-exporter:9115"}` | spec of prober (like url, path, scheme ...) |
| probes[0] | object | `{"groups":{"framasoft":["framasoft.org","degooglisons-internet.org","framapiaf.org","framatube.org"]},"ipv4":true,"ipv6":true,"module":"http_2xx","name":"http"}` | probe module (suffix with _ipv4 and ipv6 if enabled) |
| probes[0].groups | object | `{"framasoft":["framasoft.org","degooglisons-internet.org","framapiaf.org","framatube.org"]}` | groups with targets |
| probes[0].ipv4 | bool | `true` | setup one for ipv4 (see module and his suffix - default: true) |
| probes[0].ipv6 | bool | `true` | setup one for ipv6 (see module and his suffix - default: true) |
| probes[0].name | string | `"http"` | name of probe |
| probes[1].groups | object | `{"digitalcourage":["digitalcourage.de","nuudel.digitalcourage.de","digitalcourage.social"]}` | groups with targets |
| probes[1].ipv4 | bool | `true` | setup one for ipv4 (see module and his suffix - default: true) |
| probes[1].ipv6 | bool | `false` | setup one for ipv6 (see module and his suffix - default: true) |
| probes[1].module | string | `"http_2xx"` |  |
| probes[1].name | string | `"http-ipv4"` | name of probe |
| prometheus.probe.labels | object | `{"prometheus":"default"}` | labels on Probe |
| prometheus.scrape.labels | object | `{"prometheus":"default"}` | labels on ScrapeConfig |
| scrapes[0] | object | `{"groups":{"de":["ber.de.local:9100","fra.de.local:9100","ham.de.local:9100"],"ie":["dub.ie.local:9100","ork.ie.local:9100"]},"name":"nodes"}` | name of scrape |
| scrapes[0].groups | object | `{"de":["ber.de.local:9100","fra.de.local:9100","ham.de.local:9100"],"ie":["dub.ie.local:9100","ork.ie.local:9100"]}` | groups with targets |
| scrapes[1].auth.password | string | `nil` | basic auth password |
| scrapes[1].auth.token | string | `nil` | bearer token |
| scrapes[1].auth.username | string | `nil` | basic auth username |
| scrapes[1].groups | object | `{"de":["fra.de.s3.local:9000","ham.de.s3.local:9000"],"ie":["dub.ie.s3.local:9000"]}` | groups with targets |
| scrapes[1].metricsPath | string | `"/minio/v2/metrics/node"` | metric path on scrape |
| scrapes[1].name | string | `"minio"` |  |
| scrapes[1].scheme | string | `"http"` | schema on scrape |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
